#{extends 'borderNG.html' /}
<div class="breadcrumb">
	&{'lelang.info_kontrak'}
</div>

<div class="content">	
	<div class="header1">&{'lelang.form_info_paket'}</div>
	<table class="table table-condensed">
	<tr>
		<th class="TitleLeft" width="150">&{'lelang.kode_tender'}</th>
		<td class="horizLine">${lls.lls_id}</td>
	</tr>
	<tr>
		<th class="TitleLeft">&{'lelang.nama_paket'}</th>
		<td class="horizLine">${lls.paket.pkt_nama}</td>
	</tr>
	<tr>
		<th class="TitleLeft">&{'lelang.lokasi'}</th>
		<td class="horizLine">
            #{list items:lls.paket.daftar_lokasi, as:'lokasi'}
                ${lokasi.pkt_lokasi}
            #{/list}
		</td>
	</tr>
	<tr>
		<th class="TitleLeft">&{'lelang.anggaran'}</th>
		<td class="horizLine">APBN - 2013</td>
	</tr>
	<tr>
		<th class="TitleLeft">&{'lelang.satuan_kerja'}</th>
		<td class="horizLine">${lls.paket.satuan_kerja.stk_nama}</td>
	</tr>
	<tr>
		<th class="TitleLeft">&{'lelang.pagu'}</th>
		<td class="horizLine">${lls.paket.pkt_pagu?.rupiah()}</td>
	</tr>
	<tr>
		<th class="TitleLeft">HPS</th>
		<td class="horizLine">${lls.paket.pkt_hps?.rupiah()}</td>
	</tr>
	</table>
	
	
    <div class="header1">&{'lelang.form_info_kontrak'}</div>
    #{alert /}
    #{form @lelang.KontrakCtr.simpanKontrak(), id:'formKontrak', method:'POST', class:'form-horizontal'}
    <t:errors banner="message:default-banner" /><t:alerts />

    <table class="table table-condensed">
   
        #{if kontrak?.kontrak_id} 
    <input type="hidden" name="kontrak.kontrak_id" value="${kontrak.kontrak_id}" />
    <input type="hidden" value="${lls.lls_id}" name="kontrak.lelang_seleksi.lls_id">
	<input type="hidden" value="${ppk?.ppk_id}" name="kontrak.ppk.ppk_id">

	<tr>
		<th width="150">&{'lelang.no_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine"><input type="textfield" id="no_kontrak" name="kontrak.kontrak_no" value="${kontrak.kontrak_no}" validate="required"/></td>
	</tr>
	<tr>
		<th>&{'lelang.no_rekening'} <span class="warning">*</span></th>
		<td class="horizLine"><input t:type="textfield" t:id="no_rekening" name="kontrak.kontrak_norekening" value="${kontrak.kontrak_norekening}" validate="required"/></td>
	</tr>
	<tr>
		<th>&{'lelang.nilai_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine"><input t:type="textfield" t:id="nilai_kontrak" name="kontrak.kontrak_nilai" value="${kontrak.kontrak_nilai?.rupiah()}"   validate="required,regexp=^(Rp)*\s*[1-9]{1}[0-9\.]*$"/> Contoh format : 1.000.000.000</td>
	</tr>
	<tr>
		<th>&{'lelang.tgl_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine">
         <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_tanggal" type="text" value="${kontrak.kontrak_tanggal?.toDatepicker()}"  />
                        <span class="add-on">
                            <i data-date-icon="fa fa-calendar" data-time-icon="fa fa-clock-o" class="fa fa-calendar">
                            </i>
                        </span>
                </div>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.masa_berlaku'} <span class="warning">*</span></th>
		<td class="horizLine">
            <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_mulai" type="text" value="${kontrak.kontrak_mulai?.toDatepicker()}"/>

                        <span class="add-on">
                            <i data-time-icon="fa fa-clock-o" data-date-icon="fa fa-calendar">
                            </i>

                        </span>
                </div>
             -
           <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_akhir" type="text" value="${kontrak.kontrak_akhir?.toDatepicker()}" />

                        <span class="add-on">
                            <i data-time-icon="fa fa-clock-o" data-date-icon="fa fa-calendar">
                            </i>

                        </span>
                </div>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.nama_perusahaan'} <span class="warning">*</span></th>
			
		<td class="horizLine">
            <t:RadioGroup value="kontrak.rkn_id" validate="required" t:id="pemenang">
                <t:loop source="pemenangList" value="peserta" encoder="encoder">
                    #{list items:pesertaList.rekanan, as:'peserta'}
                    <input type="radio" value="${peserta.rkn_id}" name="kontrak.rekanan.rkn_id" checked />   ${peserta.rkn_nama}  #{list items:harga, as:'harga'}(Penawaran :${harga.psr_harga?.rupiah()})#{/list}<br />

                    #{/list}
                </t:loop>
            </t:RadioGroup>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.info_lainnya'}</th>
		<td class="horizLine"><textarea  id="keterangan" name="kontrak.kontrak_lingkup"  rows="10" cols="100" validate="required">${kontrak.kontrak_lingkup}</textarea></td>
	</tr>
	<tr>
		<th>&{'lelang.doc'}</th>
		<td class="horizLine">
            <table class="table table-condensed">
             <tr>
                 <th class="fcol titleTop"></th>
                 <th class="hrlast titleTop">&{'lelang.nama_file'}</th>
                </tr>
                <tr>
                  <td style="text-align:center"><input type="radio" value="kontrak.blob.blb_id_content_id"/></td>
                    <td>${kontrak.blob.getFileName()}</td>
                </tr>
            </table>
            <input type="file" />
		</td>
	</tr>
	</table>
    #{/if}
    
   #{else}
	<input type="hidden" value="${lls.lls_id}" name="kontrak.lelang_seleksi.lls_id">
	<input type="hidden" value="${ppk.ppk_id}" name="kontrak.ppk.ppk_id">

	<tr>
		<th width="150">&{'lelang.no_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine"><input type="textfield" id="no_kontrak" name="kontrak.kontrak_no" validate="required"/></td>
	</tr>
	<tr>
		<th>&{'lelang.no_rekening'} <span class="warning">*</span></th>
		<td class="horizLine"><input t:type="textfield" t:id="no_rekening" name="kontrak.kontrak_norekening"  validate="required"/></td>
	</tr>
	<tr>
		<th>&{'lelang.nilai_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine"><input t:type="textfield" t:id="nilai_kontrak" name="kontrak.kontrak_nilai"    validate="required,regexp=^(Rp)*\s*[1-9]{1}[0-9\.]*$"/> Contoh format : 1.000.000.000</td>
	</tr>
	<tr>
		<th>&{'lelang.tgl_kontrak'} <span class="warning">*</span></th>
		<td class="horizLine">
         <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_tanggal" type="text"  data-format="yyyy-MM-dd HH:mm:ss"  />

                        <span class="add-on">
                            <i data-time-icon="fa fa-clock-o" data-date-icon="fa fa-calendar">
                            </i>

                        </span>
                </div>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.masa_berlaku'} <span class="warning">*</span></th>
		<td class="horizLine">
            <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_mulai" type="text"  data-format="yyyy-MM-dd HH:mm:ss"  />

                        <span class="add-on">
                            <i data-time-icon="fa fa-clock-o" data-date-icon="fa fa-calendar">
                            </i>

                        </span>
                </div>
             -
           <div class="date-picker input-append">
                 <input style="width:180px" name="kontrak.kontrak_akhir" type="text"  data-format="yyyy-MM-dd HH:mm:ss"  />

                        <span class="add-on">
                            <i data-time-icon="fa fa-clock-o" data-date-icon="fa fa-calendar">
                            </i>

                        </span>
                </div>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.nama_perusahaan'} <span class="warning">*</span></th>
			
		<td class="horizLine">
            <t:RadioGroup value="kontrak.rkn_id" validate="required" t:id="pemenang">
                <t:loop source="pemenangList" value="peserta" encoder="encoder">
                    #{list items:pesertaList.rekanan, as:'peserta'}
                    <input type="radio"  name="kontrak.rekanan.rkn_id" checked />   ${peserta.rkn_nama}  #{list items:harga, as:'harga'}(Penawaran :${harga.psr_harga?.rupiah()})#{/list}<br />

                    #{/list}
                </t:loop>
            </t:RadioGroup>
        </td>
	</tr>
	<tr>
		<th>&{'lelang.info_lainnya'}</th>
		<td class="horizLine"><textarea id="keterangan" name="kontrak.kontrak_lingkup"  rows="10" cols="100" validate="required"></textarea></td>
	</tr>
	<tr>
		<th>Dokumen</th>
		<td class="horizLine">
            <table class="vertTable bordered">
             <tr>
                 <th class="fcol titleTop"></th>
                 <th class="hrlast titleTop">&{'lelang.nama_file'}</th>
             </tr>
             <tr>
                 <td></td>
                 <td></td>
             </tr>
            </table>
            <input type="file" />
		</td>
	</tr>
	</table>
	#{/else}
        <div class="tableFoot">
            <span class="warning">*</span> &{'lelang.harus_diisi'}<br/>
            <span class="warning">*</span> &{'lelang.doc_pdf'}<br/>
            <span class="warning">*</span> &{'lelang.doc_attach'}<br/>
        </div>        
       		#{saveButton /}
            #{backButton /}       
	 
	#{/form}
</div>
#{set 'css_custom' } 
<link href="#{assets '/bootstrap/css/bootstrap-datetimepicker.min.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datetimepicker.min.js'/}"></script>
#{/set}